Results 1 to 4 of 4

Thread: Using OpenJDK 11 for ExtReact 5.6.3 and 6.6.0

  1. #1
    Sencha Premium User
    Join Date
    Jul 2014
    Posts
    42

    Default Using OpenJDK 11 for ExtReact 5.6.3 and 6.6.0

    Recently, I try to use OpenJDK 11 instead of JDK.

    However, there is an error shown during npm run build or npm start.
    The error message shown:
    ERROR in i [ext]: ext-build:javax/xml/bind/DatatypeConverter
    i 「wdm」: Failed to compile.
    java.lang.ClassCastException: class jdk.internal.loader.ClassLoaders$AppClassLoader cannot be cast to class java.net.URLCl at java.base/jdk
    .internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)


    Seem some class missing in OpenJDK 11 so the project cannot build.

    Is it possible to use OpenJDK 11 for ExtReact project?

    Thanks

  2. #2
    Sencha - Forum Administrator
    Join Date
    Sep 2017
    Posts
    1,006
    Answers
    5

    Default

    Hi there- Thank you for your question. I am sending this to the support team to look into and they will be in touch at their earliest convenience. We appreciate your patience.

    Thank you,

    Michele

  3. #3

    Default

    Any update on this? It's been nearly a month already. Thanks.

  4. #4
    Ext Support Team
    Join Date
    Jan 2018
    Posts
    569
    Answers
    7

    Default

    Hello,

    This is a known issue and our engineering team is currently working on this. Once it is resolved, the fix will be released as part of a nightly build. We will keep you posted once the fix is available in the nightlies.

    Regards,
    Kumar
    Sencha Support.

Similar Threads

  1. ExtReact 6.6.0 activation
    By bcourtine in forum Q&A
    Replies: 1
    Last Post: 6 Sep 2018, 5:09 PM
  2. Replies: 3
    Last Post: 25 Apr 2018, 11:25 PM
  3. Sencha ExtReact 6.5.1 is Now Available
    By mitchellsimoens in forum Q&A
    Replies: 0
    Last Post: 27 Jul 2017, 5:23 AM
  4. ExtReact box-sizing CSS
    By geniny in forum Q&A
    Replies: 6
    Last Post: 27 Jun 2017, 10:34 AM
  5. [FIXED] OpenJDK 8 problems on Linux
    By nyao in forum Sencha Architect 4.x: Bugs
    Replies: 9
    Last Post: 24 Mar 2017, 5:52 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •